org.eclipse.incquery.patternlanguage.emf.eMFPatternLanguage

## Interface ClassType

- All Superinterfaces:
    EntityType, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Type
  All Known Implementing Classes:
    ClassTypeImpl

      public interface ClassType
      extends EntityType

  A representation of the model object 'Class Type'.

  The following features are supported:

  - `Metamodel`
  - `Classname`
  See Also:
    `EMFPatternLanguagePackage.getClassType()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EClassifier` | `getClassname()` Returns the value of the 'Classname' reference.
    `PackageImport` | `getMetamodel()` Returns the value of the 'Metamodel' reference.
    `void` | `setClassname(org.eclipse.emf.ecore.EClassifier value)` Sets the value of the '`Classname`' reference.
    `void` | `setMetamodel(PackageImport value)` Sets the value of the '`Metamodel`' reference.

    - ### Methods inherited from interface org.eclipse.incquery.patternlanguage.patternLanguage.Type

      `getTypename, setTypename`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getMetamodel

          PackageImport getMetamodel()

      Returns the value of the 'Metamodel' reference.

      If the meaning of the 'Metamodel' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Metamodel' reference.
      See Also:
        `setMetamodel(PackageImport)`, `EMFPatternLanguagePackage.getClassType_Metamodel()`

    - #### setMetamodel

          void setMetamodel(PackageImport value)

      Sets the value of the '`Metamodel`' reference.
      Parameters:
        `value` - the new value of the 'Metamodel' reference.
      See Also:
        `getMetamodel()`

    - #### getClassname

          org.eclipse.emf.ecore.EClassifier getClassname()

      Returns the value of the 'Classname' reference.

      If the meaning of the 'Classname' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Classname' reference.
      See Also:
        `setClassname(EClassifier)`, `EMFPatternLanguagePackage.getClassType_Classname()`

    - #### setClassname

          void setClassname(org.eclipse.emf.ecore.EClassifier value)

      Sets the value of the '`Classname`' reference.
      Parameters:
        `value` - the new value of the 'Classname' reference.
      See Also:
        `getClassname()`